import 'dart:core';

import 'package:flutter/material.dart';

import 'package:zego_plugin_adapter/src/beauty/config.dart';
import 'package:zego_plugin_adapter/src/beauty/defines.dart';
import 'package:zego_plugin_adapter/src/beauty/errors.dart';
import 'package:zego_plugin_adapter/src/defines.dart';

/// @nodoc
abstract class ZegoBeautyPluginInterface with IZegoUIKitPlugin {
  void init({required int appID, String appSign = ''});

  void uninit();

  void setConfig(ZegoBeautyPluginConfig config);

  void showBeautyUI(BuildContext context);

  Stream<ZegoBeautyPluginFaceDetectionData> getFaceDetectionEventStream();

  Stream<ZegoBeautyError> getErrorStream();
}
